import {Component, OnDestroy, OnInit} from '@angular/core';
import {Subscription} from "rxjs";
import {AlertService} from "../services/alert.service";
import {verticleSlide} from "../animations";
import {faTimes} from "@fortawesome/free-solid-svg-icons";

@Component({
  selector: 'app-alert',
  templateUrl: './alert.component.html',
  styleUrls: ['./alert.component.scss'],
  animations: [verticleSlide]
})
export class AlertComponent implements OnInit, OnDestroy {

  private subscription: Subscription;
  message: any;

  public faTimes = faTimes;

  constructor(private alertService: AlertService) {
  }

  ngOnInit() {
    this.subscription = this.alertService.getMessage().subscribe(message => {
      this.message = message;
    })
  }

  clearMessage(): void {
    this.message = null;
  }

  ngOnDestroy(): void {
    this.subscription.unsubscribe();
  }

}
